Name: dfwinreg
Version: 20240316
Release: 1
Group: Development/Libraries
License: Apache License, Version 2.0
Summary: Digital Forensics Windows Registry (dfWinReg).
Url: https://github.com/log2timeline/dfwinreg
Vendor: Log2Timeline maintainers
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel, pyproject-rpm-macros, python3-pip, python3-setuptools, python3-wheel

%{?python_disable_dependency_generator}

%description
dfWinReg, or Digital Forensics Windows Registry, provides read-only access to Windows Registry objects. The goal of dfWinReg is to provide a generic interface for accessing Windows Registry objects that resembles the Registry key hierarchy as seen on a live Windows system.

%package -n python3-%{name}
Requires: libcreg-python3 >= 20210502, libregf-python3 >= 20201002, python3-dfdatetime >= 20160814, python3-dtfabric >= 20170524, python3-pyyaml >= 3.10
Summary: Python 3 module of Digital Forensics Windows Registry (dfWinReg).

%description -n python3-%{name}
dfWinReg, or Digital Forensics Windows Registry, provides read-only access to Windows Registry objects. The goal of dfWinReg is to provide a generic interface for accessing Windows Registry objects that resembles the Registry key hierarchy as seen on a live Windows system.

%generate_buildrequires
%pyproject_buildrequires -R

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfwinreg
%{python3_sitelib}/dfwinreg*.dist-info

%changelog
* Sun Mar 17 2024 log2timeline development team <log2timeline-dev@googlegroups.com> 20240316-1
- Auto-generated
